Create an External Secrets Manager
Creates a new External Secrets Manager instance within your Fivetran account.
Request schema
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Request
The ESM provider type. Supported values: AWS_SECRET_MANAGER, AZURE_KEY_VAULT, HASHICORP_VAULT.
The name of the External Secrets Manager instance. Must be unique within the account.
Whether this External Secrets Manager instance is compatible with Hybrid Deployment environments.
POST /v1/external-secrets-managers HTTP/1.1 Accept: application/json Authorization: BasicContent-Type: application/json Host: api.fivetran.com Content-Length: 119 { "type": "AWS_SECRET_MANAGER", "name": "My AWS Secrets Manager", "config": {}, "is_hybrid_deployment": false }
Responses
201
Response status code
Response status text
The unique identifier of the External Secrets Manager instance.
The ESM provider type
The name of the ESM instance
Provider-specific configuration.
additional property
Whether this External Secrets Manager instance is compatible with Hybrid Deployment environments.
The timestamp when the ESM instance was created.
The timestamp when the ESM instance was last updated.
{ "code": "Created", "message": "External Secrets Manager has been created", "data": { "id": "lucky_tiger", "type": "AWS_SECRET_MANAGER", "name": "My AWS Secrets Manager", "config": { "property1": {}, "property2": {} }, "is_hybrid_deployment": true, "created_at": "2026-05-20T00:00:00Z", "updated_at": "2026-05-20T00:00:00Z" } }